tests/test-rhel5-xen-domU-hvm-ia64.sh \
tests/test-rhel5-xen-domU-pv.sh \
tests/test-rhev.sh \
+ tests/test-vmm.sh \
tests/test-xen-arm.sh \
tests/test-zvm.sh
tests/rhev/sbin/dmidecode \
tests/rhev/sbin/uname \
tests/rhev/sbin/virt-what-cpuid-helper \
+ tests/vmm/proc/cpuinfo \
+ tests/vvm/proc/self/status \
+ tests/vvm/proc/sysinfo \
+ tests/vvm/sbin/dmidecode \
+ tests/vvm/sbin/uname \
+ tests/vvm/sbin/virt-what-cpuid-helper \
tests/xen-arm/proc/cpuinfo \
tests/xen-arm/proc/device-tree/hypervisor/compatible \
tests/xen-arm/proc/self/status \
--- /dev/null
+# Test for vmm
+# Copyright (C) 2008-2011 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+root=tests/vmm
+
+output="$(./virt-what --test-root=$root 2>&1)"
+expected="vmm"
+
+if [ "$output" != "$expected" ]; then
+ echo "$0: test failed because output did not match expected"
+ echo "Expected output was:"
+ echo "----------------------------------------"
+ echo "$expected"
+ echo "----------------------------------------"
+ echo "But the actual output of the program was:"
+ echo "----------------------------------------"
+ echo "$output"
+ echo "----------------------------------------"
+ exit 1
+fi
--- /dev/null
+processor : 0
+vendor_id : GenuineIntel
+cpu family : 6
+model : 61
+model name : Intel(R) Core(TM) i5-5300U CPU @ 2.30GHz
+stepping : 4
+cache size : 3072 KB
+physical id : 0
+siblings : 1
+core id : 0
+cpu cores : 1
+apicid : 0
+initial apicid : 0
+fpu : yes
+fpu_exception : yes
+cpuid level : 13
+wp : yes
+flags : fpu vme de pse msr pae mce cx8 sep pge mca cmov pse36 clflush mmx fxsr sse sse2 syscall nx pdpe1gb lm constant_tsc nopl eagerfpu pni pclmulqdq ssse3 fma cx16 sse4_1 sse4_2 movbe popcnt aes xsave avx f16c rdrand hypervisor lahf_lm abm 3dnowprefetch fsgsbase tsc_adjust bmi1 avx2 smep bmi2 rdseed adx smap
+bugs :
+bogomips : 11431.11
+clflush size : 64
+cache_alignment : 64
+address sizes : 36 bits physical, 48 bits virtual
+power management:
+